#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdeconnect-kde
Summary:        Connect and sync your devices with Plasma 5
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://albertvaka.wordpress.com/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5PulseAudioQt)
BuildRequires:  cmake(KF5People)
BuildRequires:  cmake(KF5PeopleVCard)
BuildRequires:  cmake(KF5QQC2DesktopStyle)
BuildRequires:  cmake(KF5ModemManagerQt)

BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(qca2-qt5)

BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libfakekey)
BuildRequires:  pkgconfig(ModemManager)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(x11)

Conflicts:      kdeconnect-kded < 0.4
Obsoletes:      kdeconnect-kded < 0.4

Recommends:     %{name}-handbook

Requires:       qca-qt5
Requires:       kde-cli-tools
Requires:       kio
Requires:       kirigami2
Requires:       kpeoplevcard
# mga#28827
Requires:       sshfs-fuse

%description
KDE Connect adds communication between Plasma 5 and your smartphone or tablet.

%files  -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf5_categoriesdir}/kdeconnect-kde.*categories
%{_kf5_sysconfdir}/xdg/autostart/org.kde.kdeconnect.daemon.desktop
%{_kf5_bindir}/kdeconnect-*
%{_kf5_applicationsdir}/kcm_kdeconnect.desktop
%{_kf5_plugindir}/kio/kdeconnect.so
%{_kf5_plugindir}/kfileitemaction/kdeconnectfileitemaction.so
%{_qt5_plugindir}/kdeconnect/
%{_qt5_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_kdeconnect.so
%{_kf5_qmldir}/org/kde/kdeconnect/
%{_libexecdir}/kdeconnectd
%{_kf5_applicationsdir}/org.kde.kdeconnect.daemon.desktop
%{_kf5_applicationsdir}/org.kde.kdeconnect.handler.desktop
%{_kf5_applicationsdir}/org.kde.kdeconnect.nonplasma.desktop
%{_kf5_applicationsdir}/org.kde.kdeconnect.app.desktop
%{_kf5_applicationsdir}/org.kde.kdeconnect.sms.desktop
%{_kf5_applicationsdir}/org.kde.kdeconnect-settings.desktop
%{_kf5_metainfodir}/org.kde.kdeconnect.*
%{_kf5_knotificationsdir}/kdeconnect.notifyrc
%{_kf5_datadir}/kdeconnect/
%{_kf5_datadir}/plasma/plasmoids/org.kde.kdeconnect/
%{_kf5_iconsdir}/hicolor/scalable/apps/*.svg
%{_kf5_iconsdir}/hicolor/*/status/*.svg
%{_kf5_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_kf5_datadir}/contractor/kdeconnect.contract
%{_kf5_datadir}/zsh/site-functions/_kdeconnect
%{_kf5_datadir}/Thunar/sendto/kdeconnect-thunar.desktop
%{_kf5_services}/*.desktop

#------------------------------------------------------------------------------

%package        handbook
Summary:        KDE Connect Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides the KDE Connect handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kdeconnect/
%{_kf5_docdir}/HTML/*/kdeconnect-kde/

#------------------------------------------------------------------------------

%package        nautilus
Summary:        KDE Connect extension for Nautilus
Group:          Graphical desktop/KDE
BuildArch:      noarch
Requires:       nautilus-python
Requires:       %{name} >= %{version}-%{release}

%description    nautilus
This package provides a KDE Connect extension for Nautilus.

%files nautilus
%{_kf5_datadir}/nautilus-python/extensions/kdeconnect-share.py*

#------------------------------------------------------------------------------

%define kdeconnectcore_major 23
%define libkdeconnectcore %mklibname kdeconnectcore %{kdeconnectcore_major}

%package -n     %{libkdeconnectcore}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectcore}
Runtime library for %{name}.

%files -n %{libkdeconnectcore}
%{_kf5_libdir}/libkdeconnectcore.so.%{kdeconnectcore_major}{,.*}

#------------------------------------------------------------------------------

%define kdeconnectinterfaces_major 23
%define libkdeconnectinterfaces %mklibname kdeconnectinterfaces %{kdeconnectinterfaces_major}

%package -n     %{libkdeconnectinterfaces}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectinterfaces}
Runtime library for %{name}.

%files -n %{libkdeconnectinterfaces}
%{_kf5_libdir}/libkdeconnectinterfaces.so.%{kdeconnectinterfaces_major}{,.*}

#------------------------------------------------------------------------------

%define kdeconnectpluginkcm_major 23
%define libkdeconnectpluginkcm %mklibname kdeconnectpluginkcm %{kdeconnectpluginkcm_major}

%package -n     %{libkdeconnectpluginkcm}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectpluginkcm}
Runtime library for %{name}.

%files -n %{libkdeconnectpluginkcm}
%{_kf5_libdir}/libkdeconnectpluginkcm.so.%{kdeconnectpluginkcm_major}{,.*}

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

# Bug 28333: Remove this desktop file as it tries to open zip files
rm -fv %{buildroot}%{_kf5_applicationsdir}/org.kde.kdeconnect_open.desktop

%find_lang %{name} --all-name

rm -rf %{buildroot}%{_kf5_datadir}/deepin/


%changelog
* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958750
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946461
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941755
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922874
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911369
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905222
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886741
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882592
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873037
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853931
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1850994
- Remove org.kde.kdeconnect_open.desktop file as it tries to open Zip Files( mga#28333)
- New version 22.03.90
- New version 21.12.0
- New version 21.11.90
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 21.04.1-2.mga9
+ Revision: 1740549
- rebuild for pulseaudio-qt

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724032
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718834
- New version 21.04.0

* Thu Apr 22 2021 daviddavid <daviddavid> 20.12.3-3.mga9
+ Revision: 1717913
- do not mark sshfs-fuse as recommended package but as a required (mga#28827)

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698516
- New version 20.12.3

* Mon Mar 01 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694708
- New version 20.12.2

* Sun Dec 13 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656327
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643963
- New version 20.08.3

* Tue Oct 13 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1634973
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627021
- New version 20.08.1

* Wed Aug 19 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615595
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604087
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1597322
- New version 20.04.2

* Fri Jun 19 2020 daviddavid <daviddavid> 20.04.1-2.mga8
+ Revision: 1596733
- add missing dependency on kio (necessary for a DE install other than plasma)

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1585139
- New version 20.04.1

* Fri Apr 24 2020 daviddavid <daviddavid> 20.04.0-1.mga8
+ Revision: 1571534
- New version 20.04.0 (says hello kdeconnect-kde into kde application)

* Tue Feb 18 2020 umeabot <umeabot> 1.4-2.mga8
+ Revision: 1539650
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Dec 11 2019 daviddavid <daviddavid> 1.4-1.mga8
+ Revision: 1465883
- new version: 1.4

* Tue Jul 30 2019 daviddavid <daviddavid> 1.3.5-1.mga8
+ Revision: 1426070
- new version: 1.3.5

* Sat Mar 30 2019 umeabot <umeabot> 1.3.4-2.mga7
+ Revision: 1382207
- Qt5 Rebuild

* Tue Mar 26 2019 daviddavid <daviddavid> 1.3.4-1.mga7
+ Revision: 1380293
- new version: 1.3.4

* Fri Nov 09 2018 daviddavid <daviddavid> 1.3.3-1.mga7
+ Revision: 1329086
- new version: 1.3.3

* Sat Oct 20 2018 daviddavid <daviddavid> 1.3.2-1.mga7
+ Revision: 1322937
- new version: 1.3.2

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1298479
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 daviddavid <daviddavid> 1.3.1-1.mga7
+ Revision: 1233409
- new version: 1.3.1

* Thu Apr 12 2018 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1217952
- new version: 1.3.0
- add nautilus subpkg (extention for nautilus)

* Wed Jan 24 2018 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1196746
- new version: 1.2.1

* Fri Oct 06 2017 daviddavid <daviddavid> 1.2-1.mga7
+ Revision: 1169594
- new version: 1.2

* Sun Dec 18 2016 daviddavid <daviddavid> 1.0.3-1.mga7
+ Revision: 1075890
- new version: 1.0.3

* Sat Nov 12 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1066634
- new version: 1.0.2

* Wed Sep 21 2016 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 1054860
- new version: 1.0.1

* Mon Aug 29 2016 daviddavid <daviddavid> 1.0-1.mga6
+ Revision: 1049392
- new version: 1.0 (stable)
- add kdeconnect-kde-handbook subpackage

* Wed Jul 27 2016 neoclust <neoclust> 0.9g-3.mga6
+ Revision: 1043784
- Add kde-cli-tools  as requires too ( from david_david )

* Wed Jul 27 2016 neoclust <neoclust> 0.9g-2.mga6
+ Revision: 1043751
- Add missing deps on qca-qt5 ( mga #18929)

* Thu May 05 2016 daviddavid <daviddavid> 0.9g-1.mga6
+ Revision: 1009582
- new version: 0.9g
- port to Qt5/kf5

* Tue Feb 09 2016 umeabot <umeabot> 0.8-2.mga6
+ Revision: 952414
- Mageia 6 Mass Rebuild

* Sat Feb 21 2015 lmenut <lmenut> 0.8-1.mga5
+ Revision: 816286
- Update to 0.8

* Sat Oct 18 2014 lmenut <lmenut> 0.7.3-1.mga5
+ Revision: 787854
- Update to 0.7.3

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-3.mga5
+ Revision: 740541
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-2.mga5
+ Revision: 680991
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Jul 22 2014 lmenut <lmenut> 0.7.2-1.mga5
+ Revision: 655686
- Update to 0.7.2
  fix files list
- fix source, groups, summaries and descriptions

* Mon Nov 11 2013 lmenut <lmenut> 0.4.1-1.mga4
+ Revision: 550454
- Update to 0.4.1
- Update to 0.4
  fix files list
- Rename package to match upstream name

* Mon Oct 21 2013 umeabot <umeabot> 0.3-1.mga4
+ Revision: 539358
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 mikala <mikala> 0.3-0.mga4
+ Revision: 491942
- Update tarball to 0.3
- Fix files list

* Sun Aug 25 2013 neoclust <neoclust> 0.0-0.20130825.1.mga4
+ Revision: 471612
- imported package kdeconnect-kded

